Skip to main content

Revokes public key on the device

PUT 

/v1/device/:deviceUid/revoke-key

In signageOS device management, it is possible to send encrypted configurations to a device, typically for applets, scripts, etc. The process uses asymmetric encryption, including the device's own private-public key pair. This key pair is automatically renewed when it expires. However, there may be situations where the device user wants to forcibly renew the key pair. This endpoint handles that process. Upon a successful request, the previous key is revoked, and a new one is automatically created. For more details, visit https://developers.signageos.io/docs/devspace-extras/env-variables-configuration and https://developers.signageos.io/docs/devspace-basics/use-secrets.

Request

Responses

OK

Response Headers
    Content-Type
    Link

    Contains URL pointing to the result of this action. Keep making requests to this URL, until the response indicates, that the action was processed. For more information, refer to endpoint Get Device History.